summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorlayman <layman@localhost>2014-03-05 09:29:35 +0100
committerlayman <layman@localhost>2014-03-05 09:29:35 +0100
commit66959a64883ced5531c0daf061d030b221473af6 (patch)
tree277cf5089c17dad73007d60e9dd1ade48e4279fa /dev-java/jameica
parentSet repo name (diff)
downloadhibiscus-66959a64883ced5531c0daf061d030b221473af6.tar.gz
hibiscus-66959a64883ced5531c0daf061d030b221473af6.tar.bz2
hibiscus-66959a64883ced5531c0daf061d030b221473af6.zip
Hibiscus 2.6.3
Diffstat (limited to 'dev-java/jameica')
-rw-r--r--dev-java/jameica/Manifest4
-rw-r--r--dev-java/jameica/jameica-2.6.1.ebuild90
2 files changed, 93 insertions, 1 deletions
diff --git a/dev-java/jameica/Manifest b/dev-java/jameica/Manifest
index 882b5a5..5c94fb3 100644
--- a/dev-java/jameica/Manifest
+++ b/dev-java/jameica/Manifest
@@ -1,6 +1,8 @@
DIST jameica-2.2.0.zip 20393047 SHA256 4bdd4030b9a8d5d5d8f1887db6b2602e094103b86fae7b7f2ea52e6532c2b7a9 SHA512 95e43cbf46f0a00c2db180d62aec2ba256b89baf860bff09c1091884e40f92b56864bbc2157bb5bea84c0ae3eb8d0bcf44a408f2442978c8a68f49088d061a22 WHIRLPOOL 451fdef9d23533927e90786b0f2009a7e3277c87e75d5fa806657e770c517940cd3bac249ef54349b780ddaadbdc82d84e679e1b8e60dbcb9e84ed5567a29b20
DIST jameica-2.4.0.zip 20395429 SHA256 7c2babf9fc2c43560bb76b6c23442f51a5d307eebe14715785ec23e79ae6a163 SHA512 737181d9a99d7ed7677a7170ca8dd117b811a5d66261bdcb79d64675bf65b3ef8c395ff7b3b7400bcc7cfed5c5a96396d37f7410015337ec9fa748338ae82bc2 WHIRLPOOL f2d6f04a7becc4f8ad1dcc182000e2fe91b9eeca99db65ae56d667e2f5cf2704dcd2e0089886f26827979508af366653bae557e2a07371e24381c66064bad3f5
-DIST jameica-2.6.0.zip 22364536 SHA256 323770356eb5bf6ff47a4f305a8397dbc1164c0059f03f68055a47684983d567 SHA512 b788af206a1ddffa15416e1e1d3c3d9d8fa0322291d4702da4a1993721df9eb7941655c1cea9d8321f5350dda0a957ca7b97d723f8b6e167dd52b8f7fc5f6548 WHIRLPOOL 007a00150f2ce0109695eb617b7158366245ac943bce65aa90d5f397ba8581f2e29b231219506b33c5303080050794e4da6a2ebc68b38a5567b07c4f3c14b888
+DIST jameica-2.6.0.zip 22364873 SHA256 1ef489ed692addaecd1412a51f9789e989589445ce0505c9355a3233df605ff2 SHA512 63fa46c4930bee1a6d9d66caca6bf1f6c2ff2087f6cbe0dfb16e283aab50bdedecc7d1a5e17c3a2db37f5f5dcea3f43bca3877d16cbf8a88d358e8ee80eee140 WHIRLPOOL d6c40f5290da98e0ac3f3faa3999dc5fc328fb89fc8b47f63c88eb20bc37e4ed747ae41b76f03eef5018af39b7e1431fc40d3007d8e794d830ad31c71759d9e5
+DIST jameica-2.6.1.zip 22364873 SHA256 1ef489ed692addaecd1412a51f9789e989589445ce0505c9355a3233df605ff2 SHA512 63fa46c4930bee1a6d9d66caca6bf1f6c2ff2087f6cbe0dfb16e283aab50bdedecc7d1a5e17c3a2db37f5f5dcea3f43bca3877d16cbf8a88d358e8ee80eee140 WHIRLPOOL d6c40f5290da98e0ac3f3faa3999dc5fc328fb89fc8b47f63c88eb20bc37e4ed747ae41b76f03eef5018af39b7e1431fc40d3007d8e794d830ad31c71759d9e5
EBUILD jameica-2.2.0.ebuild 2569 SHA256 2b4830a1d9ca438a721ec8c642a54d9efce2701fface44e65c6b7ba287edaa54 SHA512 7b614b28915cf8fe4dc3391c7603e4be1b97ea90da6dfae1b4902ecf86faf62506db3e22d2646cf7a41ed947258d2a8fefc5c4921da89669efa6eea8e04e140f WHIRLPOOL d4512aeec091c2e2b99793feb86084c2d201920773bfa096c380e0c86de635003726615dec9a0a0d3b484b8e5a8e0940c4e2b7264813300303447dfae497a7dd
EBUILD jameica-2.4.0.ebuild 2753 SHA256 72d802fde61b085a2d19ab9b9f1ad59b35e056319e3dd2ad767ded6964f5f195 SHA512 caa62a493729cb1a55351bf11d75d9ff3299ed5d15d8ad12b9e1c961383491b8a466af140f8cb47612f6bddc69cef8c290c1afea5480612ae565240c522c0c92 WHIRLPOOL 4ff362923651e54cc4ed977afa023a551a45c21ccd311ca40eb8c101df48fca21a3638ff65018494d761f4c1fff471909563685251a064228895c6bd5139c6b2
EBUILD jameica-2.6.0.ebuild 2750 SHA256 78a56d55e723a2d05d3d38778fe634d9ef71dc8808a20166ee627fcba866b67e SHA512 572a654dce70cf9445954c47a03ebbf63e838a4b44255101171ab13f66d05e864306b7745347ca96cb3e5dbe8bc7322fba48eb38cc9802ccd44cb5ae15052673 WHIRLPOOL dd415d89b29b1745b56a18561d45623b9ccf44eb8e441d7c5609858aef146ce7bb16ddc6c25b8373c0bfcf3d0c1197a43ef2c9d782ca8e95311db3e34561b142
+EBUILD jameica-2.6.1.ebuild 2760 SHA256 21f721420bd4f0695e45a61df413592a1aa2bca47249e73cc2da65085f9568b3 SHA512 bd56de4f9772208a056142639d22fbf362a1774de979606575586fead6b3217429c152ffc9ffde5a3453d0ab9a290ea66c533d02897e312c70135080c248392f WHIRLPOOL 718f421a64006812a1a562264662b6e9dce24970887ceb600bde85baf8c4cab349b933f034aa58c0292d4ab278e031136d1af9d2f2e96d12bb952a56ecd3d9d5
diff --git a/dev-java/jameica/jameica-2.6.1.ebuild b/dev-java/jameica/jameica-2.6.1.ebuild
new file mode 100644
index 0000000..05365d9
--- /dev/null
+++ b/dev-java/jameica/jameica-2.6.1.ebuild
@@ -0,0 +1,90 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="A Java Framework and Runtime Environment"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/${PN}/releases/${MY_PV}/${PN}/${PN}.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="~dev-java/willuhn-util-${MY_PV}
+ ~dev-java/willuhn-datasource-${MY_PV}_p20131229
+ >=dev-java/nanoxml-2.2.3
+ dev-java/swt:3.7
+ >=dev-java/velocity-1.5
+ >=dev-java/xmlrpc-3.1
+ >=dev-java/commons-cli-1.1
+ >=dev-java/commons-collections-3.2.1
+ >=dev-java/commons-lang-2.6
+ >=dev-java/commons-logging-1.1.1
+ dev-java/swtcalendar
+ >=dev-java/bcprov-1.44
+ >=dev-java/h2-1.2.145
+ >=dev-java/commons-lang-2.6
+ >=dev-java/swt-paperclips-1.0.4
+ dev-java/eclipse-jface:3.1
+ dev-java/eclipse-core-runtime:3.1
+ dev-java/eclipse-osgi:3.1
+ dev-java/eclipse-ui-forms:3.1"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ rm -vr ${S}/lib/*
+ cd ${S}/lib
+
+ #rm -vr apache_xmlrpc bouncycastle de_willuhn_ds de_willuhn_util h2 jakarta_commons mckoi mysql nanoxml paperclips splash.jar swtcalendar velocity
+ #rm -vr swt/linux swt/linux64 swt/macos swt/macos64 swt/win32 swt/win64
+
+ mkdir gentoo
+ local xmlrpc
+ xmlrpc="xmlrpc"
+ if has_version ">=dev-java/xmlrpc-3"; then
+ #TODO: How to reference slot instead of version ?
+ xmlrpc="xmlrpc-3"
+ fi
+
+ EANT_GENTOO_CLASSPATH="willuhn-util,willuhn-datasource,nanoxml,swt-3.7,velocity,${xmlrpc},commons-cli-1,commons-collections,commons-lang-2.1,commons-logging,swtcalendar,bcprov,h2,swt-paperclips,eclipse-jface-3.1,eclipse-osgi-3.1,eclipse-ui-forms-3.1,eclipse-core-runtime-3.1"
+
+ java-pkg_jar-from --with-dependencies --into gentoo "${EANT_GENTOO_CLASSPATH}"
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+ java-pkg_newjar releases/${PV}-0/jameica/jameica.jar
+
+ #java-pkg_newjar lib/swt/org.eclipse.core.runtime*.jar org.eclipse.core.runtime.jar
+ #java-pkg_newjar lib/swt/org.eclipse.jface*.jar org.eclipse.jface.jar
+ #java-pkg_newjar lib/swt/org.eclipse.osgi*.jar org.eclipse.osgi.jar
+ #java-pkg_newjar lib/swt/org.eclipse.ui.forms*.jar org.eclipse.ui.forms.jar
+
+ insinto /usr/share/${PN}
+ doins plugin.xml
+ dodir /usr/share/${PN}/plugins
+
+ java-pkg_dolauncher ${PN} --main de.willuhn.jameica.Main --pwd /usr/share/jameica/
+
+ newicon build/${PN}-icon.png ${PN}-icon.png || die "newicon failed"
+ make_desktop_entry jameica "Jameica" ${PN}-icon "Office;Finance"
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}